<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.fzm.mall.server.admin.goods_center.mapper.SkuMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.fzm.mall.server.admin.goods_center.model.Sku">
        <id column="id" property="id"/>
        <result column="goods_id" property="goodsId"/>
        <result column="sku_id" property="skuId"/>
        <result column="original_price" property="originalPrice"/>
        <result column="price" property="price"/>
        <result column="sales" property="sales"/>
        <result column="stock" property="stock"/>
        <result column="circulation" property="circulation"/>
        <result column="weight" property="weight"/>
        <result column="commodity_pass_id" property="commodityPassId"/>
        <result column="coin_name" property="coinName"/>
        <result column="thumb" property="thumb"/>
        <result column="img_list" property="imgList"/>
        <result column="status" property="status"/>
        <result column="err_msg" property="errMsg"/>
        <result column="create_time" property="createTime"/>
        <result column="update_time" property="updateTime"/>
        <result column="nft_sales_type" property="nftSalesType"/>
    </resultMap>

</mapper>
